package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicTrafficMonitorType {
    public static final String TAXI = "出租车";
    public static final String BUS = "公交车";
    public static final String BIKE = "自行车";
    public static final String LINE = "公交线路";

    private static DicTrafficMonitorType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicTrafficMonitorType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(TAXI, TAXI);
        dicMap.put(BUS, BUS);
        dicMap.put(BIKE, BIKE);
        dicMap.put(LINE, LINE);
    }

    public static DicTrafficMonitorType getInstacne(){
        if (instance == null)
        {
            instance = new DicTrafficMonitorType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
